/*
  Program:      Mine Mayhem
  File: 	layout.h
  Date: 	26 October to 3 December,  version 2.00.

  The dimensions of the minefield.

  Freeware, Copyright 1996-7 Jason Hood.

  You are free to use this code, or a portion thereof, as long as an
  appropriate acknowledgement is made.
*/

#ifndef _layout_h
#define _layout_h


struct Coord				// Something different to Point :)
{
  int x, y;				// Or col & row, width & height

  Coord(int c = 0, int r = 0) : x(c), y(r) {}

  int operator==(const Coord& coord)
  {
    return (x == coord.x && y == coord.y);
  }
};

typedef const Coord cCoord;


struct Layout
{
  Coord dim;
  int mines;

  Layout() {}
  Layout(cCoord& d,    int m) : dim(d),    mines(m) {}
  Layout(int w, int h, int m) : dim(w, h), mines(m) {}

  double diff() const;

  int operator==(const Layout& layout)
  {
    return (dim == layout.dim && mines == layout.mines);
  }
};

typedef const Layout cLayout;

#endif
