/*
  Program:      Mine Mayhem
  File:         options.h
  Date: 	July, 1996 to February, 1997, version 1.00.
		26 October to 3 December,     version 2.00.

  Definitions for the configuration dialog box.

  Freeware, Copyright 1996-7 Jason Hood.

  You are free to use this code, or a portion thereof, as long as an
  appropriate acknowledgement is made.

  v2.00: stylistic changes.
*/

#ifndef _options_h
#define _options_h

#include <tws/tabwin.h>
#include <tws/radio.h>
#include <tws/checkbox.h>
#include <tws/button.h>


extern int Game;			// Game type
#define CLEAR		0
#define CROSS           1

extern int Start;			// Starting condition
#define NO_REPOS	0
#define ONE_REPOS       1
#define AUTO		2

extern int Finish;			// Finishing condition (bit-masked)
#define ALL_OPENED	1
#define ALL_MARKED      2

extern int ClearButton; 		// Clear-around mouse button
#define CLRLEFT 	0
#define CLRRIGHT        1
#define CLRMIDDLE       2


extern bool isMarks,			// Using question marks?
	    isWrap, isAutoMark, isAutoOpen;


class OptionDlg : public TabWin
{
public:
  OptionDlg();
  ~OptionDlg();

  void Run();

protected:
  void PaintWindow(int x1, int y1, int x2, int y2);

  void cmOK();
  void cmCancel();

  DECLARE_RESPONSE_TABLE;

  RadioButtonContainer *game, *start, *clear;
  CheckBox *marks,	*wrap,
	   *automark,	*autoopen,
           *finishopen, *finishmark;
  TextButton *OK, *Cancel;
  int isOK;
};

#endif
